body {
	overflow: hidden;
}
.liquid {
	position: absolute;
	top: -80px;
	left: 0;
	width: 50%;
	height: 100%;
	background: #4973ff;
	box-shadow: inset 0 0 50px rgba(0, 0, 0, 0.5);
	transition: 0.5s;
	transform: translateX(50%);
}

.liquid::after,
.liquid::before {
	content: "";
	width: 200%;
	height: 200%;
	position: absolute;
	top: 0;
	left: 50%;
	transform: translate(-50%, -75%);
	background: #000;
}

.liquid::before {
	border-radius: 70%;
	background: rgba(255, 255, 255, 1);
	animation: animate 5s linear infinite;
}

.liquid::after {
	border-radius: 65%;
	background: rgba(255, 255, 255, 0.5);
	animation: animate 10s linear infinite;
}

@keyframes animate {
	0% {
		transform: translate(-50%, -75%) rotate(0deg);
	}
	100% {
		transform: translate(-50%, -75%) rotate(360deg);
	}
}

.cup {
	width: 50%;
	height: 90%;
	position: absolute;
	bottom: 12%;
	left: 24.5%;
	border: 5px solid #ccc;
}